Page MenuHomePhabricator

Include WikibaseCirrusSearch into CirrusSearch tests
Closed, ResolvedPublic

Description

Since WikibaseCirrusSearch depends on CirrusSearch, changes in CirrusSearch may break tests there (or even, in worst cases, actual functionality). However, right now we are not testing WikibaseCirrusSearch and other dependant extensions when we're merging patches into CirrusSearch. This leads to problems like T221111 where some cleanup in CirrusSearch may break WikibaseCirrusSearch, which in turn blocks other extensions.

So, we may want to add WikibaseCirrusSearch and probably also WikibaseLexemeCirrusSearch and WikibaseMediaInfo to tests being run by CirrusSearch. We'd need also to include Wikibase, though I am not sure we need to run Wikibase tests, but it wouldn't hurt probably.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2019, 7:23 PM
Smalyshev triaged this task as Medium priority.May 3 2019, 10:30 PM

If we do this, then any change in any extension that depends on CirrusSearch (GeoData, Wikibase*, WikimediaEditorTasks, Wikisource) and MediaWiki itself when running wmf-quibble-* jobs will start testing with WikibaseCirrusSearch and so the whole Wikibase stack.

In effect, that'll be a minor addition for everything except CirrusSearch itself and the GeoData extension. Let's give it a go, and if it makes things too slow we can undo it.

Change 570711 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Run WikibaseCirrusSearch tests for every change in CirrusSearch

https://gerrit.wikimedia.org/r/570711

Change 570711 merged by jenkins-bot:
[integration/config@master] Run WikibaseCirrusSearch tests for every change in CirrusSearch

https://gerrit.wikimedia.org/r/570711

Mentioned in SAL (#wikimedia-releng) [2020-02-06T20:26:54Z] <James_F> Zuul: Run WikibaseCirrusSearch tests for every change in CirrusSearch T221135

Jdforrester-WMF closed this task as Resolved.Thu, Feb 6, 10:32 PM

OK, before/after times on the last-merged Cirrus patch:

quibble-vendor-mysql-php72-docker6m 59s35m 02s
mwgate-node10-docker36s43s
mwext-php72-phan-docker1m 03s1m 15s
mwext-php72-phan-seccheck-docker1m 16s1m 17s
wmf-quibble-vendor-mysql-php72-docker14m 33s16m 40s
wmf-quibble-selenium-php72-docker11m 28s13m 29s

The only job that should have been affected was quibble-vendor, as indeed it was. If this is too much we can revert, but declaring this Done.